org.springframework.data.web.querydsl

## Class QuerydslPredicateArgumentResolver

- java.lang.Object
- - org.springframework.data.web.querydsl.QuerydslPredicateArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver

    public class QuerydslPredicateArgumentResolver
    extends Object
    implements HandlerMethodArgumentResolver

`HandlerMethodArgumentResolver` to allow injection of `Predicate` into Spring MVC controller methods.

Since:
  1.11
Author:
  Christoph Strobl, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`QuerydslPredicateArgumentResolver(QuerydslBindingsFactory factory, Optional<ConversionService> conversionService)` Creates a new `QuerydslPredicateArgumentResolver` using the given `ConversionService`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer, NativeWebRequest webRequest, WebDataBinderFactory binderFactory)`
`boolean` `supportsParameter(MethodParameter parameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuerydslPredicateArgumentResolver

    public QuerydslPredicateArgumentResolver(QuerydslBindingsFactory factory,
                                             Optional<ConversionService> conversionService)

Creates a new `QuerydslPredicateArgumentResolver` using the given `ConversionService`.

Parameters:
  `factory` -
  `conversionService` - defaults to `DefaultConversionService` if null.

### Method Detail

#### supportsParameter

    public boolean supportsParameter(MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`

#### resolveArgument

    @Nullable
    public Object resolveArgument(MethodParameter parameter,
                                            @Nullable
                                            ModelAndViewContainer mavContainer,
                                            NativeWebRequest webRequest,
                                            @Nullable
                                            WebDataBinderFactory binderFactory)
                                     throws Exception

Specified by:
  `resolveArgument` in interface `HandlerMethodArgumentResolver`
Throws:
  `Exception`